RegionAttributesType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: RegionAttributesType

Package org.apache.geode.cache.configuration

# Class RegionAttributesType

java.lang.Object
org.apache.geode.cache.configuration.RegionAttributesType

All Implemented Interfaces:
  `Serializable`

@Experimental public class RegionAttributesType extends Object implements Serializable

Java class for region-attributes-type complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="region-attributes-type">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="key-constraint" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
             <element name="value-constraint" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="region-time-to-live" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="expiration-attributes" type="{http://geode.apache.org/schema/cache}expiration-attributes-type"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="region-idle-time" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="expiration-attributes" type="{http://geode.apache.org/schema/cache}expiration-attributes-type"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="entry-time-to-live" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="expiration-attributes" type="{http://geode.apache.org/schema/cache}expiration-attributes-type"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="entry-idle-time" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="expiration-attributes" type="{http://geode.apache.org/schema/cache}expiration-attributes-type"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="disk-write-attributes" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <choice>
                       <element name="asynchronous-writes">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <attribute name="bytes-threshold" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="time-interval" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                       <element name="synchronous-writes" type="{http://www.w3.org/2001/XMLSchema}anytype"/>
                     </choice>
                     <attribute name="max-oplog-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="roll-oplogs" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="disk-dirs" type="{http://geode.apache.org/schema/cache}disk-dirs-type" minOccurs="0"/>
             <element name="partition-attributes" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="partition-resolver" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <sequence>
                                 <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                                 <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                               </sequence>
                               <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                       <element name="partition-listener" maxOccurs="unbounded" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <sequence>
                                 <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                                 <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                               </sequence>
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                       <element name="fixed-partition-attributes" maxOccurs="unbounded" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <attribute name="partition-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                               <attribute name="is-primary" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                               <attribute name="num-buckets" type="{http://www.w3.org/2001/XMLSchema}string" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                     <attribute name="local-max-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="recovery-delay" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="redundant-copies" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="startup-recovery-delay" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="total-max-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="total-num-buckets" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="colocated-with" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="membership-attributes" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="required-role" maxOccurs="unbounded" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                     <attribute name="loss-action">
                       <simpleType>
                         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                           <enumeration value="full-access"/>
                           <enumeration value="limited-access"/>
                           <enumeration value="no-access"/>
                           <enumeration value="reconnect"/>
                         </restriction>
                       </simpleType>
                     </attribute>
                     <attribute name="resumption-action">
                       <simpleType>
                         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                           <enumeration value="none"/>
                           <enumeration value="reinitialize"/>
                         </restriction>
                       </simpleType>
                     </attribute>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="subscription-attributes" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <attribute name="interest-policy">
                       <simpleType>
                         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                           <enumeration value="all"/>
                           <enumeration value="cache-content"/>
                         </restriction>
                       </simpleType>
                     </attribute>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="cache-loader" type="{http://geode.apache.org/schema/cache}cache-loader-type" minOccurs="0"/>
             <element name="cache-writer" type="{http://geode.apache.org/schema/cache}cache-writer-type" minOccurs="0"/>
             <element name="cache-listener" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                       <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="compressor" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="eviction-attributes" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <choice>
                       <element name="lru-entry-count">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <attribute name="action" type="{http://geode.apache.org/schema/cache}enum-action-destroy-overflow" />
                               <attribute name="maximum" type="{http://www.w3.org/2001/XMLSchema}string" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                       <element name="lru-heap-percentage">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <sequence minOccurs="0">
                                 <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                                 <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                               </sequence>
                               <attribute name="action" type="{http://geode.apache.org/schema/cache}enum-action-destroy-overflow" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                       <element name="lru-memory-size">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <sequence minOccurs="0">
                                 <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                                 <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                               </sequence>
                               <attribute name="action" type="{http://geode.apache.org/schema/cache}enum-action-destroy-overflow" />
                               <attribute name="maximum" type="{http://www.w3.org/2001/XMLSchema}string" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                     </choice>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="concurrency-level" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="data-policy" type="{http://geode.apache.org/schema/cache}region-attributesData-policy" />
           <attribute name="early-ack" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="enable-async-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="enable-gateway" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="enable-subscription-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="gateway-sender-ids" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="async-event-queue-ids" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="hub-id" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="ignore-jta" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="index-update-type" type="{http://geode.apache.org/schema/cache}region-attributesIndex-update-type" />
           <attribute name="initial-capacity" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="is-lock-grantor" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="load-factor" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="mirror-type" type="{http://geode.apache.org/schema/cache}region-attributesMirror-type" />
           <attribute name="multicast-enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="persist-backup" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="pool-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="disk-synchronous" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="publisher" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="refid" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="scope" type="{http://geode.apache.org/schema/cache}region-attributesScope" />
           <attribute name="statistics-enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="cloning-enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="concurrency-checks-enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="off-heap" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RegionAttributesType.DiskWriteAttributes`
  Java class for anonymous complex type.
  `static class`
  `RegionAttributesType.EvictionAttributes`
  Java class for anonymous complex type.
  `static class`
  `RegionAttributesType.ExpirationAttributesDetail`
  `static class`
  `RegionAttributesType.ExpirationAttributesType`
  Java class for anonymous complex type.
  `static class`
  `RegionAttributesType.MembershipAttributes`
  Java class for anonymous complex type.
  `static class`
  `RegionAttributesType.PartitionAttributes`
  Java class for anonymous complex type.
  `static class`
  `RegionAttributesType.SubscriptionAttributes`
  Java class for anonymous complex type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `asyncEventQueueIds`
  `protected List<DeclarableType>`
  `cacheListeners`
  `protected DeclarableType`
  `cacheLoader`
  `protected DeclarableType`
  `cacheWriter`
  `protected Boolean`
  `cloningEnabled`
  `protected ClassNameType`
  `compressor`
  `protected Boolean`
  `concurrencyChecksEnabled`
  `protected String`
  `concurrencyLevel`
  `protected RegionAttributesDataPolicy`
  `dataPolicy`
  `protected DiskDirsType`
  `diskDirs`
  `protected String`
  `diskStoreName`
  `protected Boolean`
  `diskSynchronous`
  `protected RegionAttributesType.DiskWriteAttributes`
  `diskWriteAttributes`
  `protected Boolean`
  `earlyAck`
  `protected Boolean`
  `enableAsyncConflation`
  `protected Boolean`
  `enableGateway`
  `protected Boolean`
  `enableSubscriptionConflation`
  `protected RegionAttributesType.ExpirationAttributesType`
  `entryIdleTime`
  `protected RegionAttributesType.ExpirationAttributesType`
  `entryTimeToLive`
  `protected RegionAttributesType.EvictionAttributes`
  `evictionAttributes`
  `protected String`
  `gatewaySenderIds`
  `protected String`
  `hubId`
  `protected String`
  `id`
  `protected Boolean`
  `ignoreJta`
  `protected RegionAttributesIndexUpdateType`
  `indexUpdateType`
  `protected String`
  `initialCapacity`
  `protected Boolean`
  `isLockGrantor`
  `protected String`
  `keyConstraint`
  `protected String`
  `loadFactor`
  `protected RegionAttributesType.MembershipAttributes`
  `membershipAttributes`
  `protected RegionAttributesMirrorType`
  `mirrorType`
  `protected Boolean`
  `multicastEnabled`
  `protected Boolean`
  `offHeap`
  `protected RegionAttributesType.PartitionAttributes`
  `partitionAttributes`
  `protected Boolean`
  `persistBackup`
  `protected String`
  `poolName`
  `protected Boolean`
  `publisher`
  `protected String`
  `refid`
  `protected RegionAttributesType.ExpirationAttributesType`
  `regionIdleTime`
  `protected RegionAttributesType.ExpirationAttributesType`
  `regionTimeToLive`
  `protected RegionAttributesScope`
  `scope`
  `protected Boolean`
  `statisticsEnabled`
  `protected RegionAttributesType.SubscriptionAttributes`
  `subscriptionAttributes`
  `protected String`
  `valueConstraint`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionAttributesType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAsyncEventQueueIds()`
  Gets the value of the asyncEventQueueIds property.
  `Set<String>`
  `getAsyncEventQueueIdsAsSet()`
  turn the comma separated id into a set of ids
  `List<DeclarableType>`
  `getCacheListeners()`
  Gets the value of the cacheListener property.
  `DeclarableType`
  `getCacheLoader()`
  Gets the value of the cacheLoader property.
  `DeclarableType`
  `getCacheWriter()`
  Gets the value of the cacheWriter property.
  `ClassNameType`
  `getCompressor()`
  Gets the value of the compressor property.
  `String`
  `getConcurrencyLevel()`
  Gets the value of the concurrencyLevel property.
  `RegionAttributesDataPolicy`
  `getDataPolicy()`
  Gets the value of the dataPolicy property.
  `DiskDirsType`
  `getDiskDirs()`
  Gets the value of the diskDirs property.
  `String`
  `getDiskStoreName()`
  Gets the value of the diskStoreName property.
  `RegionAttributesType.DiskWriteAttributes`
  `getDiskWriteAttributes()`
  Gets the value of the diskWriteAttributes property.
  `RegionAttributesType.ExpirationAttributesType`
  `getEntryIdleTime()`
  Gets the value of the entryIdleTime property.
  `RegionAttributesType.ExpirationAttributesType`
  `getEntryTimeToLive()`
  Gets the value of the entryTimeToLive property.
  `RegionAttributesType.EvictionAttributes`
  `getEvictionAttributes()`
  Gets the value of the evictionAttributes property.
  `String`
  `getGatewaySenderIds()`
  Gets the value of the gatewaySenderIds property.
  `Set<String>`
  `getGatewaySenderIdsAsSet()`
  turn the comma separated ids into a set of id
  `String`
  `getHubId()`
  Gets the value of the hubId property.
  `String`
  `getId()`
  Gets the value of the id property.
  `RegionAttributesIndexUpdateType`
  `getIndexUpdateType()`
  Gets the value of the indexUpdateType property.
  `String`
  `getInitialCapacity()`
  Gets the value of the initialCapacity property.
  `String`
  `getKeyConstraint()`
  Gets the value of the keyConstraint property.
  `String`
  `getLoadFactor()`
  Gets the value of the loadFactor property.
  `RegionAttributesType.MembershipAttributes`
  `getMembershipAttributes()`
  Gets the value of the membershipAttributes property.
  `RegionAttributesMirrorType`
  `getMirrorType()`
  Gets the value of the mirrorType property.
  `RegionAttributesType.PartitionAttributes`
  `getPartitionAttributes()`
  Gets the value of the partitionAttributes property.
  `String`
  `getPoolName()`
  Gets the value of the poolName property.
  `String`
  `getRefid()`
  Gets the value of the refid property.
  `RegionAttributesType.ExpirationAttributesType`
  `getRegionIdleTime()`
  Gets the value of the regionIdleTime property.
  `RegionAttributesType.ExpirationAttributesType`
  `getRegionTimeToLive()`
  Gets the value of the regionTimeToLive property.
  `RegionAttributesScope`
  `getScope()`
  Gets the value of the scope property.
  `RegionAttributesType.SubscriptionAttributes`
  `getSubscriptionAttributes()`
  Gets the value of the subscriptionAttributes property.
  `String`
  `getValueConstraint()`
  Gets the value of the valueConstraint property.
  `Boolean`
  `isCloningEnabled()`
  Gets the value of the cloningEnabled property.
  `boolean`
  `isConcurrencyChecksEnabled()`
  Gets the value of the concurrencyChecksEnabled property.
  `Boolean`
  `isDiskSynchronous()`
  Gets the value of the diskSynchronous property.
  `Boolean`
  `isEarlyAck()`
  Gets the value of the earlyAck property.
  `Boolean`
  `isEnableAsyncConflation()`
  Gets the value of the enableAsyncConflation property.
  `Boolean`
  `isEnableGateway()`
  Gets the value of the enableGateway property.
  `Boolean`
  `isEnableSubscriptionConflation()`
  Gets the value of the enableSubscriptionConflation property.
  `Boolean`
  `isIgnoreJta()`
  Gets the value of the ignoreJta property.
  `Boolean`
  `isIsLockGrantor()`
  Gets the value of the isLockGrantor property.
  `Boolean`
  `isMulticastEnabled()`
  Gets the value of the multicastEnabled property.
  `Boolean`
  `isOffHeap()`
  Gets the value of the offHeap property.
  `Boolean`
  `isPersistBackup()`
  Gets the value of the persistBackup property.
  `Boolean`
  `isPublisher()`
  Gets the value of the publisher property.
  `Boolean`
  `isStatisticsEnabled()`
  Gets the value of the statisticsEnabled property.
  `void`
  `setAsyncEventQueueIds(String value)`
  Sets the value of the asyncEventQueueIds property.
  `void`
  `setCacheLoader(DeclarableType value)`
  Sets the value of the cacheLoader property.
  `void`
  `setCacheWriter(DeclarableType value)`
  Sets the value of the cacheWriter property.
  `void`
  `setCloningEnabled(Boolean value)`
  Sets the value of the cloningEnabled property.
  `void`
  `setCompressor(ClassNameType value)`
  Sets the value of the compressor property.
  `void`
  `setConcurrencyChecksEnabled(Boolean value)`
  Sets the value of the concurrencyChecksEnabled property.
  `void`
  `setConcurrencyLevel(String value)`
  Sets the value of the concurrencyLevel property.
  `void`
  `setDataPolicy(RegionAttributesDataPolicy value)`
  Sets the value of the dataPolicy property.
  `void`
  `setDiskDirs(DiskDirsType value)`
  Sets the value of the diskDirs property.
  `void`
  `setDiskStoreName(String value)`
  Sets the value of the diskStoreName property.
  `void`
  `setDiskSynchronous(Boolean value)`
  Sets the value of the diskSynchronous property.
  `void`
  `setDiskWriteAttributes(RegionAttributesType.DiskWriteAttributes value)`
  Sets the value of the diskWriteAttributes property.
  `void`
  `setEarlyAck(Boolean value)`
  Sets the value of the earlyAck property.
  `void`
  `setEnableAsyncConflation(Boolean value)`
  Sets the value of the enableAsyncConflation property.
  `void`
  `setEnableGateway(Boolean value)`
  Sets the value of the enableGateway property.
  `void`
  `setEnableSubscriptionConflation(Boolean value)`
  Sets the value of the enableSubscriptionConflation property.
  `void`
  `setEntryIdleTime(RegionAttributesType.ExpirationAttributesType value)`
  Sets the value of the entryIdleTime property.
  `void`
  `setEntryTimeToLive(RegionAttributesType.ExpirationAttributesType value)`
  Sets the value of the entryTimeToLive property.
  `void`
  `setEvictionAttributes(RegionAttributesType.EvictionAttributes value)`
  Sets the value of the evictionAttributes property.
  `void`
  `setGatewaySenderIds(String value)`
  Sets the value of the gatewaySenderIds property.
  `void`
  `setHubId(String value)`
  Sets the value of the hubId property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setIgnoreJta(Boolean value)`
  Sets the value of the ignoreJta property.
  `void`
  `setIndexUpdateType(RegionAttributesIndexUpdateType value)`
  Sets the value of the indexUpdateType property.
  `void`
  `setInitialCapacity(String value)`
  Sets the value of the initialCapacity property.
  `void`
  `setInterestPolicy(String interestPolicy)`
  `void`
  `setIsLockGrantor(Boolean value)`
  Sets the value of the isLockGrantor property.
  `void`
  `setKeyConstraint(String value)`
  Sets the value of the keyConstraint property.
  `void`
  `setLoadFactor(String value)`
  Sets the value of the loadFactor property.
  `void`
  `setLocalMaxMemory(String maxMemory)`
  `void`
  `setLruHeapPercentageEvictionAction(EnumActionDestroyOverflow action)`
  `void`
  `setMembershipAttributes(RegionAttributesType.MembershipAttributes value)`
  Sets the value of the membershipAttributes property.
  `void`
  `setMirrorType(RegionAttributesMirrorType value)`
  Sets the value of the mirrorType property.
  `void`
  `setMulticastEnabled(Boolean value)`
  Sets the value of the multicastEnabled property.
  `void`
  `setOffHeap(Boolean value)`
  Sets the value of the offHeap property.
  `void`
  `setPartitionAttributes(RegionAttributesType.PartitionAttributes value)`
  Sets the value of the partitionAttributes property.
  `void`
  `setPersistBackup(Boolean value)`
  Sets the value of the persistBackup property.
  `void`
  `setPoolName(String value)`
  Sets the value of the poolName property.
  `void`
  `setPublisher(Boolean value)`
  Sets the value of the publisher property.
  `void`
  `setRedundantCopy(String copies)`
  `void`
  `setRefid(String value)`
  Sets the value of the refid property.
  `void`
  `setRegionIdleTime(RegionAttributesType.ExpirationAttributesType value)`
  Sets the value of the regionIdleTime property.
  `void`
  `setRegionTimeToLive(RegionAttributesType.ExpirationAttributesType value)`
  Sets the value of the regionTimeToLive property.
  `void`
  `setScope(RegionAttributesScope value)`
  Sets the value of the scope property.
  `void`
  `setStatisticsEnabled(Boolean value)`
  Sets the value of the statisticsEnabled property.
  `void`
  `setSubscriptionAttributes(RegionAttributesType.SubscriptionAttributes value)`
  Sets the value of the subscriptionAttributes property.
  `void`
  `setValueConstraint(String value)`
  Sets the value of the valueConstraint property.
  `void`
  `updateEntryIdleTime(Integer timeout, String action, ClassName expiry)`
  update the entry idle time using timeout, action or expiry.
  `void`
  `updateEntryTimeToLive(Integer timeout, String action, ClassName expiry)`
  update the entry time to live using timeout, action or expiry.
  `void`
  `updateRegionIdleTime(Integer timeout, String action, ClassName expiry)`
  update the region idle time using timeout, action or expiry.
  `void`
  `updateRegionTimeToLive(Integer timeout, String action, ClassName expiry)`
  update the region time to live using timeout, action or expiry.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### keyConstraint

    protected String keyConstraint

  - ### valueConstraint

    protected String valueConstraint

  - ### regionTimeToLive

    protected RegionAttributesType.ExpirationAttributesType regionTimeToLive

  - ### regionIdleTime

    protected RegionAttributesType.ExpirationAttributesType regionIdleTime

  - ### entryTimeToLive

    protected RegionAttributesType.ExpirationAttributesType entryTimeToLive

  - ### entryIdleTime

    protected RegionAttributesType.ExpirationAttributesType entryIdleTime

  - ### diskWriteAttributes

    protected RegionAttributesType.DiskWriteAttributes diskWriteAttributes

  - ### diskDirs

    protected DiskDirsType diskDirs

  - ### partitionAttributes

    protected RegionAttributesType.PartitionAttributes partitionAttributes

  - ### membershipAttributes

    protected RegionAttributesType.MembershipAttributes membershipAttributes

  - ### subscriptionAttributes

    protected RegionAttributesType.SubscriptionAttributes subscriptionAttributes

  - ### cacheLoader

    protected DeclarableType cacheLoader

  - ### cacheWriter

    protected DeclarableType cacheWriter

  - ### cacheListeners

    protected List<DeclarableType> cacheListeners

  - ### compressor

    protected ClassNameType compressor

  - ### evictionAttributes

    protected RegionAttributesType.EvictionAttributes evictionAttributes

  - ### concurrencyLevel

    protected String concurrencyLevel

  - ### dataPolicy

    protected RegionAttributesDataPolicy dataPolicy

  - ### earlyAck

    protected Boolean earlyAck

  - ### enableAsyncConflation

    protected Boolean enableAsyncConflation

  - ### enableGateway

    protected Boolean enableGateway

  - ### enableSubscriptionConflation

    protected Boolean enableSubscriptionConflation

  - ### gatewaySenderIds

    protected String gatewaySenderIds

  - ### asyncEventQueueIds

    protected String asyncEventQueueIds

  - ### hubId

    protected String hubId

  - ### id

    protected String id

  - ### ignoreJta

    protected Boolean ignoreJta

  - ### indexUpdateType

    protected RegionAttributesIndexUpdateType indexUpdateType

  - ### initialCapacity

    protected String initialCapacity

  - ### isLockGrantor

    protected Boolean isLockGrantor

  - ### loadFactor

    protected String loadFactor

  - ### mirrorType

    protected RegionAttributesMirrorType mirrorType

  - ### multicastEnabled

    protected Boolean multicastEnabled

  - ### persistBackup

    protected Boolean persistBackup

  - ### poolName

    protected String poolName

  - ### diskStoreName

    protected String diskStoreName

  - ### diskSynchronous

    protected Boolean diskSynchronous

  - ### publisher

    protected Boolean publisher

  - ### refid

    protected String refid

  - ### scope

    protected RegionAttributesScope scope

  - ### statisticsEnabled

    protected Boolean statisticsEnabled

  - ### cloningEnabled

    protected Boolean cloningEnabled

  - ### concurrencyChecksEnabled

    protected Boolean concurrencyChecksEnabled

  - ### offHeap

    protected Boolean offHeap

- ## Constructor Details

  - ### RegionAttributesType

    public RegionAttributesType()

- ## Method Details

  - ### getKeyConstraint

    public String getKeyConstraint()
    Gets the value of the keyConstraint property. possible object is `Object`
    Returns:
      the value of the keyConstraint property

  - ### setKeyConstraint

    public void setKeyConstraint(String value)
    Sets the value of the keyConstraint property. allowed object is `Object`
    Parameters:
      `value` - the value of the keyConstraint property

  - ### getValueConstraint

    public String getValueConstraint()
    Gets the value of the valueConstraint property. possible object is `String`
    Returns:
      the value of the valueConstraint property

  - ### setValueConstraint

    public void setValueConstraint(String value)
    Sets the value of the valueConstraint property. allowed object is `String`
    Parameters:
      `value` - the value of the valueConstraint property

  - ### getRegionTimeToLive

    public RegionAttributesType.ExpirationAttributesType getRegionTimeToLive()
    Gets the value of the regionTimeToLive property. possible object is `RegionAttributesType.ExpirationAttributesType`
    Returns:
      the value of the regionTimeToLive property

  - ### setRegionTimeToLive

    public void setRegionTimeToLive(RegionAttributesType.ExpirationAttributesType value)
    Sets the value of the regionTimeToLive property. allowed object is `RegionAttributesType.ExpirationAttributesType`
    Parameters:
      `value` - the value of the regionTimeToLive property

  - ### updateRegionTimeToLive

    public void updateRegionTimeToLive(Integer timeout, String action, ClassName expiry)
    update the region time to live using timeout, action or expiry. If all three are null, there would be no update to the existing value
    Parameters:
      `timeout` - could be null
      `action` - could be null
      `expiry` - could be null

  - ### getRegionIdleTime

    public RegionAttributesType.ExpirationAttributesType getRegionIdleTime()
    Gets the value of the regionIdleTime property. possible object is `RegionAttributesType.ExpirationAttributesType`
    Returns:
      the value of the regionIdleTime property

  - ### setRegionIdleTime

    public void setRegionIdleTime(RegionAttributesType.ExpirationAttributesType value)
    Sets the value of the regionIdleTime property. allowed object is `RegionAttributesType.ExpirationAttributesType`
    Parameters:
      `value` - the value of the regionIdleTime property

  - ### updateRegionIdleTime

    public void updateRegionIdleTime(Integer timeout, String action, ClassName expiry)
    update the region idle time using timeout, action or expiry. If all three are null, there would be no update to the existing value
    Parameters:
      `timeout` - could be null
      `action` - could be null
      `expiry` - could be null

  - ### getEntryTimeToLive

    public RegionAttributesType.ExpirationAttributesType getEntryTimeToLive()
    Gets the value of the entryTimeToLive property. possible object is `RegionAttributesType.ExpirationAttributesType`
    Returns:
      the value of the entryTimeToLive property

  - ### setEntryTimeToLive

    public void setEntryTimeToLive(RegionAttributesType.ExpirationAttributesType value)
    Sets the value of the entryTimeToLive property. allowed object is `RegionAttributesType.ExpirationAttributesType`
    Parameters:
      `value` - the value of the entryTimeToLive property

  - ### updateEntryTimeToLive

    public void updateEntryTimeToLive(Integer timeout, String action, ClassName expiry)
    update the entry time to live using timeout, action or expiry. If all three are null, there would be no update to the existing value
    Parameters:
      `timeout` - could be null
      `action` - could be null
      `expiry` - could be null

  - ### getEntryIdleTime

    public RegionAttributesType.ExpirationAttributesType getEntryIdleTime()
    Gets the value of the entryIdleTime property. possible object is `RegionAttributesType.ExpirationAttributesType`
    Returns:
      the value of the entryIdleTime property

  - ### setEntryIdleTime

    public void setEntryIdleTime(RegionAttributesType.ExpirationAttributesType value)
    Sets the value of the entryIdleTime property. allowed object is `RegionAttributesType.ExpirationAttributesType`
    Parameters:
      `value` - the value of the entryIdleTime property

  - ### updateEntryIdleTime

    public void updateEntryIdleTime(Integer timeout, String action, ClassName expiry)
    update the entry idle time using timeout, action or expiry. If all three are null, there would be no update to the existing value
    Parameters:
      `timeout` - could be null
      `action` - could be null
      `expiry` - could be null

  - ### getDiskWriteAttributes

    public RegionAttributesType.DiskWriteAttributes getDiskWriteAttributes()
    Gets the value of the diskWriteAttributes property. possible object is `RegionAttributesType.DiskWriteAttributes`
    Returns:
      the value of the diskWriteAttributes property

  - ### setDiskWriteAttributes

    public void setDiskWriteAttributes(RegionAttributesType.DiskWriteAttributes value)
    Sets the value of the diskWriteAttributes property. allowed object is `RegionAttributesType.DiskWriteAttributes`
    Parameters:
      `value` - the value of the diskWriteAttributes property

  - ### getDiskDirs

    public DiskDirsType getDiskDirs()
    Gets the value of the diskDirs property. possible object is `DiskDirsType`
    Returns:
      the value of the diskDirs property

  - ### setDiskDirs

    public void setDiskDirs(DiskDirsType value)
    Sets the value of the diskDirs property. allowed object is `DiskDirsType`
    Parameters:
      `value` - the value of the diskDirs property

  - ### getPartitionAttributes

    public RegionAttributesType.PartitionAttributes getPartitionAttributes()
    Gets the value of the partitionAttributes property. possible object is `RegionAttributesType.PartitionAttributes`
    Returns:
      the value of the partitionAttributes property

  - ### setPartitionAttributes

    public void setPartitionAttributes(RegionAttributesType.PartitionAttributes value)
    Sets the value of the partitionAttributes property. allowed object is `RegionAttributesType.PartitionAttributes`
    Parameters:
      `value` - the value of the partitionAttributes property

  - ### getMembershipAttributes

    public RegionAttributesType.MembershipAttributes getMembershipAttributes()
    Gets the value of the membershipAttributes property. possible object is `RegionAttributesType.MembershipAttributes`
    Returns:
      the value of the membershipAttributes property

  - ### setMembershipAttributes

    public void setMembershipAttributes(RegionAttributesType.MembershipAttributes value)
    Sets the value of the membershipAttributes property. allowed object is `RegionAttributesType.MembershipAttributes`
    Parameters:
      `value` - the value of the membershipAttributes property

  - ### getSubscriptionAttributes

    public RegionAttributesType.SubscriptionAttributes getSubscriptionAttributes()
    Gets the value of the subscriptionAttributes property. possible object is `RegionAttributesType.SubscriptionAttributes`
    Returns:
      the value of the subscriptionAttributes property

  - ### setSubscriptionAttributes

    public void setSubscriptionAttributes(RegionAttributesType.SubscriptionAttributes value)
    Sets the value of the subscriptionAttributes property. allowed object is `RegionAttributesType.SubscriptionAttributes`
    Parameters:
      `value` - the value of the subscriptionAttributes property

  - ### getCacheLoader

    public DeclarableType getCacheLoader()
    Gets the value of the cacheLoader property. possible object is `DeclarableType`
    Returns:
      the value of the cacheLoader property

  - ### setCacheLoader

    public void setCacheLoader(DeclarableType value)
    Sets the value of the cacheLoader property. allowed object is `DeclarableType`
    Parameters:
      `value` - the value of the cacheLoader property

  - ### getCacheWriter

    public DeclarableType getCacheWriter()
    Gets the value of the cacheWriter property. possible object is `DeclarableType`
    Returns:
      the value of the cacheWriter property

  - ### setCacheWriter

    public void setCacheWriter(DeclarableType value)
    Sets the value of the cacheWriter property. allowed object is `DeclarableType`
    Parameters:
      `value` - the value of the cacheWriter property

  - ### getCacheListeners

    public List<DeclarableType> getCacheListeners()
    Gets the value of the cacheListener property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cacheListener property.

    For example, to add a new item, do as follows:

         getCacheListeners().add(newItem);

    Objects of the following type(s) are allowed in the list `DeclarableType`

    Returns:
      the value of the cacheListener property

  - ### getCompressor

    public ClassNameType getCompressor()
    Gets the value of the compressor property. possible object is `ClassNameType`
    Returns:
      the value of the compressor property

  - ### setCompressor

    public void setCompressor(ClassNameType value)
    Sets the value of the compressor property. allowed object is `ClassNameType`
    Parameters:
      `value` - the value of the compressor property

  - ### getEvictionAttributes

    public RegionAttributesType.EvictionAttributes getEvictionAttributes()
    Gets the value of the evictionAttributes property. possible object is `RegionAttributesType.EvictionAttributes`
    Returns:
      the value of the evictionAttributes property

  - ### setEvictionAttributes

    public void setEvictionAttributes(RegionAttributesType.EvictionAttributes value)
    Sets the value of the evictionAttributes property. allowed object is `RegionAttributesType.EvictionAttributes`
    Parameters:
      `value` - the value of the evictionAttributes property

  - ### getConcurrencyLevel

    public String getConcurrencyLevel()
    Gets the value of the concurrencyLevel property. possible object is `String`
    Returns:
      the value of the concurrencyLevel property

  - ### setConcurrencyLevel

    public void setConcurrencyLevel(String value)
    Sets the value of the concurrencyLevel property. allowed object is `String`
    Parameters:
      `value` - the value of the concurrencyLevel property

  - ### getDataPolicy

    public RegionAttributesDataPolicy getDataPolicy()
    Gets the value of the dataPolicy property. possible object is `RegionAttributesDataPolicy`
    Returns:
      the value of the dataPolicy property

  - ### setDataPolicy

    public void setDataPolicy(RegionAttributesDataPolicy value)
    Sets the value of the dataPolicy property. allowed object is `RegionAttributesDataPolicy`
    Parameters:
      `value` - the value of the dataPolicy property

  - ### isEarlyAck

    public Boolean isEarlyAck()
    Gets the value of the earlyAck property. possible object is `Boolean`
    Returns:
      the value of the earlyAck property

  - ### setEarlyAck

    public void setEarlyAck(Boolean value)
    Sets the value of the earlyAck property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the earlyAck property

  - ### isEnableAsyncConflation

    public Boolean isEnableAsyncConflation()
    Gets the value of the enableAsyncConflation property. possible object is `Boolean`
    Returns:
      the value of the enableAsyncConflation property

  - ### setEnableAsyncConflation

    public void setEnableAsyncConflation(Boolean value)
    Sets the value of the enableAsyncConflation property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the enableAsyncConflation property

  - ### isEnableGateway

    public Boolean isEnableGateway()
    Gets the value of the enableGateway property. possible object is `Boolean`
    Returns:
      the value of the enableGateway property

  - ### setEnableGateway

    public void setEnableGateway(Boolean value)
    Sets the value of the enableGateway property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the enableGateway property

  - ### isEnableSubscriptionConflation

    public Boolean isEnableSubscriptionConflation()
    Gets the value of the enableSubscriptionConflation property. possible object is `Boolean`
    Returns:
      the value of the enableSubscriptionConflation property

  - ### setEnableSubscriptionConflation

    public void setEnableSubscriptionConflation(Boolean value)
    Sets the value of the enableSubscriptionConflation property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the enableSubscriptionConflation property

  - ### getGatewaySenderIds

    public String getGatewaySenderIds()
    Gets the value of the gatewaySenderIds property. possible object is `String`
    Returns:
      the value of the gatewaySenderIds property

  - ### getGatewaySenderIdsAsSet

    public Set<String> getGatewaySenderIdsAsSet()
    turn the comma separated ids into a set of id
    Returns:
      a set of gatewaySenderIds

  - ### setGatewaySenderIds

    public void setGatewaySenderIds(String value)
    Sets the value of the gatewaySenderIds property. allowed object is `String`
    Parameters:
      `value` - the value of the gatewaySenderIds property

  - ### getAsyncEventQueueIds

    public String getAsyncEventQueueIds()
    Gets the value of the asyncEventQueueIds property. possible object is `String`
    Returns:
      the value of the asyncEventQueueIds property

  - ### getAsyncEventQueueIdsAsSet

    public Set<String> getAsyncEventQueueIdsAsSet()
    turn the comma separated id into a set of ids
    Returns:
      a set of asyncEventQueueIds

  - ### setAsyncEventQueueIds

    public void setAsyncEventQueueIds(String value)
    Sets the value of the asyncEventQueueIds property. allowed object is `String`
    Parameters:
      `value` - the value of the asyncEventQueueIds property

  - ### getHubId

    public String getHubId()
    Gets the value of the hubId property. possible object is `String`
    Returns:
      the value of the hubId property

  - ### setHubId

    public void setHubId(String value)
    Sets the value of the hubId property. allowed object is `String`
    Parameters:
      `value` - the value of the hubId property

  - ### getId

    public String getId()
    Gets the value of the id property. possible object is `String`
    Returns:
      the value of the id property

  - ### setId

    public void setId(String value)
    Sets the value of the id property. allowed object is `String`
    Parameters:
      `value` - the value of the id property

  - ### isIgnoreJta

    public Boolean isIgnoreJta()
    Gets the value of the ignoreJta property. possible object is `Boolean`
    Returns:
      the value of the ignoreJta property

  - ### setIgnoreJta

    public void setIgnoreJta(Boolean value)
    Sets the value of the ignoreJta property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the ignoreJta property

  - ### getIndexUpdateType

    public RegionAttributesIndexUpdateType getIndexUpdateType()
    Gets the value of the indexUpdateType property. possible object is `RegionAttributesIndexUpdateType`
    Returns:
      the value of the indexUpdateType property

  - ### setIndexUpdateType

    public void setIndexUpdateType(RegionAttributesIndexUpdateType value)
    Sets the value of the indexUpdateType property. allowed object is `RegionAttributesIndexUpdateType`
    Parameters:
      `value` - the value of the indexUpdateType property

  - ### getInitialCapacity

    public String getInitialCapacity()
    Gets the value of the initialCapacity property. possible object is `String`
    Returns:
      the value of the initialCapacity property

  - ### setInitialCapacity

    public void setInitialCapacity(String value)
    Sets the value of the initialCapacity property. allowed object is `String`
    Parameters:
      `value` - the value of the initialCapacity property

  - ### isIsLockGrantor

    public Boolean isIsLockGrantor()
    Gets the value of the isLockGrantor property. possible object is `Boolean`
    Returns:
      the value of the isLockGrantor property

  - ### setIsLockGrantor

    public void setIsLockGrantor(Boolean value)
    Sets the value of the isLockGrantor property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the isLockGrantor property

  - ### getLoadFactor

    public String getLoadFactor()
    Gets the value of the loadFactor property. possible object is `String`
    Returns:
      the value of the loadFactor property

  - ### setLoadFactor

    public void setLoadFactor(String value)
    Sets the value of the loadFactor property. allowed object is `String`
    Parameters:
      `value` - the value of the loadFactor property

  - ### getMirrorType

    public RegionAttributesMirrorType getMirrorType()
    Gets the value of the mirrorType property. possible object is `RegionAttributesMirrorType`
    Returns:
      the value of the mirrorType property

  - ### setMirrorType

    public void setMirrorType(RegionAttributesMirrorType value)
    Sets the value of the mirrorType property. allowed object is `RegionAttributesMirrorType`
    Parameters:
      `value` - the value of the mirrorType property

  - ### isMulticastEnabled

    public Boolean isMulticastEnabled()
    Gets the value of the multicastEnabled property. possible object is `Boolean`
    Returns:
      the value of the multicastEnabled property

  - ### setMulticastEnabled

    public void setMulticastEnabled(Boolean value)
    Sets the value of the multicastEnabled property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the multicastEnabled property

  - ### isPersistBackup

    public Boolean isPersistBackup()
    Gets the value of the persistBackup property. possible object is `Boolean`
    Returns:
      the value of the persistBackup property

  - ### setPersistBackup

    public void setPersistBackup(Boolean value)
    Sets the value of the persistBackup property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the persistBackup property

  - ### getPoolName

    public String getPoolName()
    Gets the value of the poolName property. possible object is `String`
    Returns:
      the value of the poolName property

  - ### setPoolName

    public void setPoolName(String value)
    Sets the value of the poolName property. allowed object is `String`
    Parameters:
      `value` - the value of the poolName property

  - ### getDiskStoreName

    public String getDiskStoreName()
    Gets the value of the diskStoreName property. possible object is `String`
    Returns:
      the value of the diskStoreName property

  - ### setDiskStoreName

    public void setDiskStoreName(String value)
    Sets the value of the diskStoreName property. allowed object is `String`
    Parameters:
      `value` - the value of the diskStoreName property

  - ### isDiskSynchronous

    public Boolean isDiskSynchronous()
    Gets the value of the diskSynchronous property. possible object is `Boolean`
    Returns:
      the value of the diskSynchronous property

  - ### setDiskSynchronous

    public void setDiskSynchronous(Boolean value)
    Sets the value of the diskSynchronous property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the diskSynchronous property

  - ### isPublisher

    public Boolean isPublisher()
    Gets the value of the publisher property. possible object is `Boolean`
    Returns:
      the value of the publisher property

  - ### setPublisher

    public void setPublisher(Boolean value)
    Sets the value of the publisher property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the publisher property

  - ### getRefid

    public String getRefid()
    Gets the value of the refid property. possible object is `String`
    Returns:
      the value of the refid property

  - ### setRefid

    public void setRefid(String value)
    Sets the value of the refid property. allowed object is `String`
    Parameters:
      `value` - the value of the refid property

  - ### getScope

    public RegionAttributesScope getScope()
    Gets the value of the scope property. possible object is `RegionAttributesScope`
    Returns:
      the value of the scope property

  - ### setScope

    public void setScope(RegionAttributesScope value)
    Sets the value of the scope property. allowed object is `RegionAttributesScope`
    Parameters:
      `value` - the value of the scope property

  - ### isStatisticsEnabled

    public Boolean isStatisticsEnabled()
    Gets the value of the statisticsEnabled property. possible object is `Boolean`
    Returns:
      the value of the statisticsEnabled property

  - ### setStatisticsEnabled

    public void setStatisticsEnabled(Boolean value)
    Sets the value of the statisticsEnabled property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the statisticsEnabled property

  - ### isCloningEnabled

    public Boolean isCloningEnabled()
    Gets the value of the cloningEnabled property. possible object is `Boolean`
    Returns:
      the value of the cloningEnabled property

  - ### setCloningEnabled

    public void setCloningEnabled(Boolean value)
    Sets the value of the cloningEnabled property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the cloningEnabled property

  - ### isConcurrencyChecksEnabled

    public boolean isConcurrencyChecksEnabled()
    Gets the value of the concurrencyChecksEnabled property. possible object is `Boolean`
    Returns:
      the value of the concurrencyChecksEnabled property

  - ### setConcurrencyChecksEnabled

    public void setConcurrencyChecksEnabled(Boolean value)
    Sets the value of the concurrencyChecksEnabled property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the concurrencyChecksEnabled property

  - ### isOffHeap

    public Boolean isOffHeap()
    Gets the value of the offHeap property. possible object is `Boolean`
    Returns:
      the value of the offHeap property

  - ### setOffHeap

    public void setOffHeap(Boolean value)
    Sets the value of the offHeap property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the offHeap property

  - ### setLruHeapPercentageEvictionAction

    public void setLruHeapPercentageEvictionAction(EnumActionDestroyOverflow action)

  - ### setInterestPolicy

    public void setInterestPolicy(String interestPolicy)

  - ### setRedundantCopy

    public void setRedundantCopy(String copies)

  - ### setLocalMaxMemory

    public void setLocalMaxMemory(String maxMemory)